<?php
/**
 * Block Patterns
 *
 * @package tailor_stylist
 * @since 1.0
 */

function tailor_stylist_register_block_patterns() {
	$tailor_stylist_block_pattern_categories = array(
		'tailor-stylist' => array( 'label' => esc_html__( 'Tailor Stylist', 'tailor-stylist' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'tailor-stylist' ) ),
	);

	$tailor_stylist_block_pattern_categories = apply_filters( 'tailor_stylist_tailor_stylist_block_pattern_categories', $tailor_stylist_block_pattern_categories );

	foreach ( $tailor_stylist_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'tailor_stylist_register_block_patterns', 9 );